import { RefundType as r } from "./types.js";
import { EMPTY_OBJECT as n } from "../../../utils/value/constants.js";
const a = (e) => {
  switch (e?.status) {
    case "Booked":
      return "default";
    case "Reversed":
      return "error";
    default:
      return "pending";
  }
}, s = (e) => {
  if (e?.category === "Refund") {
    const { refundType: t } = e.refundMetadata ?? n;
    switch (t) {
      case r.FULL:
        return r.FULL;
      case r.PARTIAL:
        return r.PARTIAL;
    }
  }
};
export {
  a as getAmountStyleForTransaction,
  s as getRefundTypeForTransaction
};
